import Vue from 'vue'

Vue.component('RenderString', {
  props: {
    // eslint-disable-next-line vue/require-prop-types
    string: {
      required: true
    }
  },
  render(h) {
    const render = {
      template: '<div>' + this.string + '</div>',
      methods: {
        markComplete() {
          console.log('the method called')
        }
      }
    }
    return h(render)
  }
})
